;;; count-words-region.el --- Just a test

;; Author: Alexander Mikhailian <mikhailian@altern.org>
;; Keywords: count words region

     ;;; Final version: `while'
(defun count-words-region (beginning end)
  "Print number of words in the region."
  (interactive "r")
  (message "Counting words in region ... ")
     
     ;;; 1. Set up appropriate conditions.
  (save-excursion
    (let ((count 0))
      (goto-char beginning)
     
     ;;; 2. Run the while loop.
      (while (and (< (point) end)
                  (re-search-forward "\\w+\\W*" end t))
        (setq count (1+ count)))
     
     ;;; 3. Send a message to the user.
      (cond ((zerop count)
             (message
              "The region does NOT have any words."))
            ((= 1 count)
             (message
              "The region has 1 word."))
            (t
             (message
              "The region has %d words." count))))))


(defun tag-razdziel (beginning end)
  "Tags all razdiels"
  (interactive "r")     
  (save-excursion
    (let ((counter 0))
      (goto-char beginning)
      (while (< (point) end)
        (re-search-forward "\\(^,L@PWTWU[(B.*\\)" end t)
        (replace-match "<head>\\1</head>" t nil)
        (setq counter (1+ counter)))
      (message
       "Replaced words: %d" counter))))


<head>,L@PWTWU[(B II</head>
<head>,L@PWTWU[(B IV</head>
,L@PWTWU[(B V
xxxx
xx




